net.minecraft.client.gui

## Class GuiScreenSelectLocation

- java.lang.Object
- - net.minecraft.client.gui.GuiScreenSelectLocation

-     public abstract class GuiScreenSelectLocation
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `field_148362_f`
    `protected int` | `field_148364_d`
    `protected int` | `field_148365_e`
    `protected int` | `field_148366_b`
    `protected int` | `field_148367_c`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiScreenSelectLocation(Minecraft par1Minecraft, int par2, int par3, int par4, int par5, int par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_148346_a(int p_148346_1_, int p_148346_2_, int p_148346_3_, int p_148346_4_)`
    `int` | `func_148347_d()`
    `protected abstract void` | `func_148348_a(int var1, int var2, int var3, int var4, Tessellator var5)`
    `protected abstract boolean` | `func_148349_b(int var1)`
    `void` | `func_148350_a(int p_148350_1_, int p_148350_2_, float p_148350_3_)`
    `protected int` | `func_148351_b()`
    `protected abstract void` | `func_148352_a(int var1, boolean var2)`
    `protected void` | `func_148353_b(int p_148353_1_, int p_148353_2_)`
    `protected void` | `func_148354_a(int p_148354_1_, int p_148354_2_, Tessellator p_148354_3_)`
    `protected abstract int` | `func_148355_a()`
    `protected abstract boolean` | `func_148356_a(int var1)`
    `void` | `func_148357_a(GuiButton p_148357_1_)`
    `protected abstract void` | `func_148358_c()`
    `protected void` | `func_148359_a(int p_148359_1_, int p_148359_2_)`
    `protected int` | `func_148360_g()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_148366_b

          protected int field_148366_b

    - #### field_148367_c

          protected int field_148367_c

    - #### field_148364_d

          protected final int field_148364_d

    - #### field_148365_e

          protected int field_148365_e

    - #### field_148362_f

          protected int field_148362_f

  - ### Constructor Detail

    - #### GuiScreenSelectLocation

          public GuiScreenSelectLocation(Minecraft par1Minecraft,
                                 int par2,
                                 int par3,
                                 int par4,
                                 int par5,
                                 int par6)

  - ### Method Detail

    - #### func_148346_a

          public void func_148346_a(int p_148346_1_,
                           int p_148346_2_,
                           int p_148346_3_,
                           int p_148346_4_)

    - #### func_148355_a

          protected abstract int func_148355_a()

    - #### func_148352_a

          protected abstract void func_148352_a(int var1,
                           boolean var2)

    - #### func_148356_a

          protected abstract boolean func_148356_a(int var1)

    - #### func_148349_b

          protected abstract boolean func_148349_b(int var1)

    - #### func_148351_b

          protected int func_148351_b()

    - #### func_148358_c

          protected abstract void func_148358_c()

    - #### func_148348_a

          protected abstract void func_148348_a(int var1,
                           int var2,
                           int var3,
                           int var4,
                           Tessellator var5)

    - #### func_148354_a

          protected void func_148354_a(int p_148354_1_,
                           int p_148354_2_,
                           Tessellator p_148354_3_)

    - #### func_148359_a

          protected void func_148359_a(int p_148359_1_,
                           int p_148359_2_)

    - #### func_148353_b

          protected void func_148353_b(int p_148353_1_,
                           int p_148353_2_)

    - #### func_148347_d

          public int func_148347_d()

    - #### func_148357_a

          public void func_148357_a(GuiButton p_148357_1_)

    - #### func_148350_a

          public void func_148350_a(int p_148350_1_,
                           int p_148350_2_,
                           float p_148350_3_)

    - #### func_148360_g

          protected int func_148360_g()